declare class BSCompatibilityLayer {
    readonly dataToUpdate: Map<string, string>;
    constructor();
    init(): void;
    // Updates all data attributes in the HTML document that match the keys in the `dataToUpdate` map.
    updateAllDataAttributes(): void;
    // Updates a specific data attribute of an HTML element.
    updateDataAttributes(el: Element, dataAttribute: string): void;
    // Attaches a mutation observer to the HTML document to detect changes in data attributes.
    attachObserver(): void;
    // Callback function for the mutation observer, updates data attributes of added or modified elements.
    observerCallback(mutationsList: MutationRecord[], observer: MutationObserver): void;
    // Waits for jQuery to be loaded before calling a callback function.
    waitingForJQuery(callback: () => void): void;
    // Extends the jQuery object with BS methods.
    attachJQueryMethods(): void;
}
declare const _default: BSCompatibilityLayer;
export { _default as default, BSCompatibilityLayer };
//# sourceMappingURL=bootstrap-compatibility-layer.esm.min.d.ts.map